com.genesyslab.wfm8.API.service.config852

## Class CfgUserSecurity

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config852.CfgUserSecurity

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgUserSecurity
      extends java.lang.Object
      implements java.io.Serializable

  User Team Access
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmSubsystemId`
    `protected java.util.List<java.lang.Integer>` | `wmUserBU`
    `protected int` | `wmUserBUNSizeIs`
    `protected java.util.List<java.lang.Integer>` | `wmUserSites`
    `protected int` | `wmUserSitesNSizeIs`
    `protected java.util.List<java.lang.Integer>` | `wmUserTeams`
    `protected int` | `wmUserTeamsNSizeIs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgUserSecurity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmSubsystemId()` Gets the value of the wmSubsystemId property.
    `java.util.List<java.lang.Integer>` | `getWmUserBU()` Gets the value of the wmUserBU property.
    `int` | `getWmUserBUNSizeIs()` Gets the value of the wmUserBUNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmUserSites()` Gets the value of the wmUserSites property.
    `int` | `getWmUserSitesNSizeIs()` Gets the value of the wmUserSitesNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmUserTeams()` Gets the value of the wmUserTeams property.
    `int` | `getWmUserTeamsNSizeIs()` Gets the value of the wmUserTeamsNSizeIs property.
    `int` | `hashCode()`
    `void` | `setWmSubsystemId(int value)` Sets the value of the wmSubsystemId property.
    `void` | `setWmUserBU(java.util.List<java.lang.Integer> value)` Sets the value of the wmUserBU property.
    `void` | `setWmUserBUNSizeIs(int value)` Sets the value of the wmUserBUNSizeIs property.
    `void` | `setWmUserSites(java.util.List<java.lang.Integer> value)` Sets the value of the wmUserSites property.
    `void` | `setWmUserSitesNSizeIs(int value)` Sets the value of the wmUserSitesNSizeIs property.
    `void` | `setWmUserTeams(java.util.List<java.lang.Integer> value)` Sets the value of the wmUserTeams property.
    `void` | `setWmUserTeamsNSizeIs(int value)` Sets the value of the wmUserTeamsNSizeIs property.
    `java.lang.String` | `toString()`
    `CfgUserSecurity` | `withWmSubsystemId(int value)`
    `CfgUserSecurity` | `withWmUserBU(java.util.Collection<java.lang.Integer> values)`
    `CfgUserSecurity` | `withWmUserBU(java.lang.Integer... values)`
    `CfgUserSecurity` | `withWmUserBUNSizeIs(int value)`
    `CfgUserSecurity` | `withWmUserSites(java.util.Collection<java.lang.Integer> values)`
    `CfgUserSecurity` | `withWmUserSites(java.lang.Integer... values)`
    `CfgUserSecurity` | `withWmUserSitesNSizeIs(int value)`
    `CfgUserSecurity` | `withWmUserTeams(java.util.Collection<java.lang.Integer> values)`
    `CfgUserSecurity` | `withWmUserTeams(java.lang.Integer... values)`
    `CfgUserSecurity` | `withWmUserTeamsNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmSubsystemId

          protected int wmSubsystemId

    - #### wmUserBUNSizeIs

          protected int wmUserBUNSizeIs

    - #### wmUserBU

          protected java.util.List<java.lang.Integer> wmUserBU

    - #### wmUserSitesNSizeIs

          protected int wmUserSitesNSizeIs

    - #### wmUserSites

          protected java.util.List<java.lang.Integer> wmUserSites

    - #### wmUserTeamsNSizeIs

          protected int wmUserTeamsNSizeIs

    - #### wmUserTeams

          protected java.util.List<java.lang.Integer> wmUserTeams

  - ### Constructor Detail

    - #### CfgUserSecurity

          public CfgUserSecurity()

  - ### Method Detail

    - #### getWmSubsystemId

          public int getWmSubsystemId()

      Gets the value of the wmSubsystemId property.

    - #### setWmSubsystemId

          public void setWmSubsystemId(int value)

      Sets the value of the wmSubsystemId property.

    - #### getWmUserBUNSizeIs

          public int getWmUserBUNSizeIs()

      Gets the value of the wmUserBUNSizeIs property.

    - #### setWmUserBUNSizeIs

          public void setWmUserBUNSizeIs(int value)

      Sets the value of the wmUserBUNSizeIs property.

    - #### getWmUserBU

          public java.util.List<java.lang.Integer> getWmUserBU()

      Gets the value of the wmUserBU property.

    - #### setWmUserBU

          public void setWmUserBU(java.util.List<java.lang.Integer> value)

      Sets the value of the wmUserBU property.

    - #### getWmUserSitesNSizeIs

          public int getWmUserSitesNSizeIs()

      Gets the value of the wmUserSitesNSizeIs property.

    - #### setWmUserSitesNSizeIs

          public void setWmUserSitesNSizeIs(int value)

      Sets the value of the wmUserSitesNSizeIs property.

    - #### getWmUserSites

          public java.util.List<java.lang.Integer> getWmUserSites()

      Gets the value of the wmUserSites property.

    - #### setWmUserSites

          public void setWmUserSites(java.util.List<java.lang.Integer> value)

      Sets the value of the wmUserSites property.

    - #### getWmUserTeamsNSizeIs

          public int getWmUserTeamsNSizeIs()

      Gets the value of the wmUserTeamsNSizeIs property.

    - #### setWmUserTeamsNSizeIs

          public void setWmUserTeamsNSizeIs(int value)

      Sets the value of the wmUserTeamsNSizeIs property.

    - #### getWmUserTeams

          public java.util.List<java.lang.Integer> getWmUserTeams()

      Gets the value of the wmUserTeams property.

    - #### setWmUserTeams

          public void setWmUserTeams(java.util.List<java.lang.Integer> value)

      Sets the value of the wmUserTeams property.

    - #### withWmSubsystemId

          public CfgUserSecurity withWmSubsystemId(int value)

    - #### withWmUserBUNSizeIs

          public CfgUserSecurity withWmUserBUNSizeIs(int value)

    - #### withWmUserSitesNSizeIs

          public CfgUserSecurity withWmUserSitesNSizeIs(int value)

    - #### withWmUserTeamsNSizeIs

          public CfgUserSecurity withWmUserTeamsNSizeIs(int value)

    - #### withWmUserBU

          public CfgUserSecurity withWmUserBU(java.lang.Integer... values)

    - #### withWmUserBU

          public CfgUserSecurity withWmUserBU(java.util.Collection<java.lang.Integer> values)

    - #### withWmUserSites

          public CfgUserSecurity withWmUserSites(java.lang.Integer... values)

    - #### withWmUserSites

          public CfgUserSecurity withWmUserSites(java.util.Collection<java.lang.Integer> values)

    - #### withWmUserTeams

          public CfgUserSecurity withWmUserTeams(java.lang.Integer... values)

    - #### withWmUserTeams

          public CfgUserSecurity withWmUserTeams(java.util.Collection<java.lang.Integer> values)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.